KDE 4.5 PyKDE API Reference

- KDE's Python API

# TinyWebBrowser Class Reference

`from PyKDE4.marble import *`

Inherits: QWebView → QWidget → QObject
Namespace: Marble.TinyWebBrowser

## Detailed Description

This class provides a tiny web browser based on QWebView (WebKit). It is different from QWebView as it has the button "Open in new Window" disabled per default and instead opens every link in the default web browser of the user.

## Signals

| statusMessage (, QString a0)

## Methods

| __init__ (self, QWidget parent=0)
QWebView | createWindow (self, QWebPage.WebWindowType type)
| print (self)
| setWikipediaPath (self, QString relativeUrl)
| statusMessage (self, QString a0)
QByteArray | userAgent (self, QString platform, QString plugin)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

QWebView createWindow | ( | self, |
|  | QWebPage.WebWindowType | type
| ) |  |  |

print | ( |  | self ) |

setWikipediaPath | ( | self, |
|  | QString | relativeUrl
| ) |  |  |

statusMessage | ( | self, |
|  | QString | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("statusMessage(QString)"), target_slot)`

QByteArray userAgent | ( | self, |
|  | QString | platform,
|  | QString | plugin
| ) |  |  |